Bug 67017 - "Emulate 3 buttons" toggle should be grayed-out if selected mouse is already 3-button
Summary: "Emulate 3 buttons" toggle should be grayed-out if selected mouse is already ...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-19 15:36 UTC by James Manning
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-14 18:14:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2002-06-19 15:36:02 UTC
Summary says it all.  Just doesn't make sense to allow someone to turn on
"Emulate 3 buttons" when they've selected "Generic 3-button PS/2 mouse" or whatever

Comment 1 Michael Fulbright 2002-06-20 14:51:09 UTC
Not time now, but will look into this change for a future release.

Comment 2 Matthew Miller 2003-02-16 16:29:45 UTC
This begs the question: why show the choice at all? Shouldn't it always be on
for two button mice and off for three button ones?

Comment 3 Michael Fulbright 2003-08-14 18:14:54 UTC
After thinking about this I'm leaving it as is.  If you had a laptop with a 2
button builtin mouse, but plugged into a docking station with a 3 button button,
you'd want to be able to turn on emulation.  Depending on the order the 2 mice
were detected you may not have that option.



Note You need to log in before you can comment on or make changes to this bug.